Skip to main content
POST
/
v1
/
projects
Create Project
curl --request POST \
  --url https://api.oviond.com/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Q1 Report",
  "type": "REPORT",
  "template": "<string>",
  "client_id": "cliAbc123",
  "template_id": "<string>",
  "pages": [
    {}
  ],
  "theme_id": "<string>",
  "date_range": {
    "text": "Last 30 Days",
    "compare": "None",
    "include_today": false,
    "current_start": "2026-03-01",
    "current_end": "2026-03-31",
    "previous_start": "2026-02-01",
    "previous_end": "2026-02-28",
    "custom_days": 60,
    "custom_months": 3
  },
  "logo_url": "<string>",
  "auto_refresh_enabled": true,
  "show_cover_page": true,
  "show_cover_page_logo": true,
  "show_cover_page_name": true,
  "show_cover_page_date": true,
  "show_cover_page_bg_image": true,
  "show_header": true,
  "show_header_logo": true,
  "show_header_name": true,
  "show_header_date": true,
  "show_page_numbers": true,
  "show_table_of_contents": true,
  "show_date": true,
  "show_thank_you": true,
  "show_thank_you_bg_image": true,
  "show_thank_you_logo": true,
  "show_thank_you_heading": true,
  "show_thank_you_message": true,
  "description": "<string>",
  "status": "<string>",
  "auto_refresh_interval_hours": 12,
  "password_enabled": true,
  "password": "<string>",
  "pdf_enabled": true
}
'
{
  "success": true,
  "data": {
    "id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Minimum string length: 1
Example:

"Q1 Report"

type
string
required
Example:

"REPORT"

template
string
required
client_id
string
Example:

"cliAbc123"

template_id
string

Clone pages and widgets from this template into the new project

pages
object[]
theme_id
string
date_range
object
logo_url
string
auto_refresh_enabled
boolean
show_cover_page
boolean
show_cover_page_name
boolean
show_cover_page_date
boolean
show_cover_page_bg_image
boolean
show_header
boolean
show_header_name
boolean
show_header_date
boolean
show_page_numbers
boolean
show_table_of_contents
boolean
show_date
boolean
show_thank_you
boolean
show_thank_you_bg_image
boolean
show_thank_you_heading
boolean
show_thank_you_message
boolean
orientation
enum<string>
Available options:
portrait,
landscape
description
string
status
string
auto_refresh_interval_hours
integer
Required range: 1 <= x <= 24
password_enabled
boolean
password
string
pdf_enabled
boolean

Response

201 - application/json

Project created

success
enum<boolean>
required
Available options:
true
data
object
required